### Method

# Ide CompletionContext is_empty

#### Declaration

    gboolean
    ide_completion_context_is_empty (
      IdeCompletionContext* self
    )

#### Description

Checks if any proposals have been provided to the context.

Out of convenience, this function will return `TRUE` if `self` is `NULL`.

Available since: | 3.32

#### Return value

Returns: | `gboolean`
| `TRUE` if there are no proposals in the context.